# TdApi.TelegramPaymentPurposePremiumGiveaway (TDLight API 4.0.476 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: TelegramPaymentPurposePremiumGiveaway

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.TelegramPaymentPurposePremiumGiveaway

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.TelegramPaymentPurpose
it.tdlight.jni.TdApi.TelegramPaymentPurposePremiumGiveaway

Enclosing class:
  TdApi

public static final class TdApi.TelegramPaymentPurposePremiumGiveaway extends TdApi.TelegramPaymentPurpose
The user creating a Telegram Premium giveaway.

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`amount`
Paid amount, in the smallest units of the currency.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`String`
`currency`
ISO 4217 currency code of the payment currency.
`int`
`monthCount`
Number of months the Telegram Premium subscription will be active for the users.
`TdApi.PremiumGiveawayParameters`
`parameters`
Giveaway parameters.
`int`
`winnerCount`
Number of users which will be able to activate the gift codes.

## Constructor Summary

Constructors
Constructor
Description
`TelegramPaymentPurposePremiumGiveaway()`
The user creating a Telegram Premium giveaway.
`TelegramPaymentPurposePremiumGiveaway(TdApi.PremiumGiveawayParameters parameters, String currency, long amount, int winnerCount, int monthCount)`
The user creating a Telegram Premium giveaway.
`TelegramPaymentPurposePremiumGiveaway(DataInput input)`
The user creating a Telegram Premium giveaway.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### parameters

public TdApi.PremiumGiveawayParameters parameters
Giveaway parameters.

### currency

public String currency
ISO 4217 currency code of the payment currency.

### amount

public long amount
Paid amount, in the smallest units of the currency.

### winnerCount

public int winnerCount
Number of users which will be able to activate the gift codes.

### monthCount

public int monthCount
Number of months the Telegram Premium subscription will be active for the users.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### TelegramPaymentPurposePremiumGiveaway

public TelegramPaymentPurposePremiumGiveaway()
The user creating a Telegram Premium giveaway.

### TelegramPaymentPurposePremiumGiveaway

public TelegramPaymentPurposePremiumGiveaway(TdApi.PremiumGiveawayParameters parameters, String currency, long amount, int winnerCount, int monthCount)
The user creating a Telegram Premium giveaway.

Parameters:
  `parameters` - Giveaway parameters.
  `currency` - ISO 4217 currency code of the payment currency.
  `amount` - Paid amount, in the smallest units of the currency.
  `winnerCount` - Number of users which will be able to activate the gift codes.
  `monthCount` - Number of months the Telegram Premium subscription will be active for the users.

### TelegramPaymentPurposePremiumGiveaway

public TelegramPaymentPurposePremiumGiveaway(DataInput input) throws IOException
The user creating a Telegram Premium giveaway.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`